package com.gh.ndownload.suspendwindow.data

import androidx.annotation.IntRange

sealed class NDownloadState {

    object Pause: NDownloadState()

    class Downloading(@IntRange(from = 0, to = 100) val progress: Int) :
        NDownloadState()

    object Complete : NDownloadState()

    object Install : NDownloadState()

    object Installing : NDownloadState()
}